﻿using System.Collections;
using System.Reflection;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Media.Imaging;
using Syncfusion.UI.Xaml.Grid;
using System;
using System.Collections.Generic;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using System.Collections.ObjectModel;
using System.ComponentModel;
using Syncfusion.UI.Xaml.Controls.Input;
using Syncfusion.UI.Xaml.Grid.Cells;
using Syncfusion.UI.Xaml.ScrollAxis;
using Syncfusion.UI.Xaml.Grid.Helpers;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace SfDataGridWithStackedHeaders
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {

        public MainPage()
        {
            this.InitializeComponent();
            this.DataContext = new OrderInfoViewModel();
            //this.SfDataGrid.Loaded += SfDataGrid_Loaded;
        }

        void SfDataGrid_Loaded(object sender, RoutedEventArgs e)
        {
            this.SfDataGrid.Columns["Expense"].VerticalAlignment = Windows.UI.Xaml.VerticalAlignment.Center;
        }
    }

    public class CategoryRepository : List<String>
    {
        #region CTOR
        /// <summary>
        /// Initializes a new instance of the <see cref="CategoryRepository"/> class.
        /// </summary>
        public CategoryRepository()
        {
            Add("Argentina");
            Add("Austria");
            Add("Belgium");
            Add("Brazil");
            Add("Canada");
            Add("Denmark");
            Add("Finland");
            Add("France");
            Add("Germany");
            Add("Ireland");
            Add("Italy");
            Add("Mexico");
            Add("Norway");
            Add("Poland");
            Add("Portugal");
            Add("Spain");
            Add("Sweden");
            Add("Switzerland");
            Add("UK");
            Add("USA");
            Add("Venezuela");
        }
        #endregion
    }
}